org.apache.ignite.internal.processors.tracing

## Interface SpanManager

All Known Subinterfaces:
  Tracing

All Known Implementing Classes:
  GridTracingManager, NoopTracing

    public interface SpanManager

Manager for `Span` instances.

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default Span` `create(@NotNull SpanType spanType)` Creates Span with given name.
`Span` `create(@NotNull SpanType spanType, @Nullable byte[] serializedParentSpan)` Creates Span given name and explicit parent.
`Span` `create(@NotNull SpanType spanType, @Nullable Span parentSpan)` Creates Span given name and explicit parent.
`@NotNull Span` `create(@NotNull SpanType spanType, @Nullable Span parentSpan, @Nullable String lb)` Creates Span given name and explicit parent.
`byte[]` `serialize(@NotNull Span span)` Serializes span to byte array to send context over network.

### Method Detail

#### create

    default Span create(@NotNull
                        @NotNull SpanType spanType)

Creates Span with given name.

Parameters:
  `spanType` - Type of span to create.

#### create

    Span create(@NotNull
                @NotNull SpanType spanType,
                @Nullable
                @Nullable Span parentSpan)

Creates Span given name and explicit parent.

Parameters:
  `spanType` - Type of span to create.
  `parentSpan` - Parent span.
Returns:
  Created span.

#### create

    Span create(@NotNull
                @NotNull SpanType spanType,
                @Nullable
                @Nullable byte[] serializedParentSpan)

Creates Span given name and explicit parent.

Parameters:
  `spanType` - Type of span to create.
  `serializedParentSpan` - Parent span as serialized bytes.
Returns:
  Created span.

#### create

    @NotNull
    @NotNull Span create(@NotNull
                                  @NotNull SpanType spanType,
                                  @Nullable
                                  @Nullable Span parentSpan,
                                  @Nullable
                                  @Nullable String lb)

Creates Span given name and explicit parent.

Parameters:
  `spanType` - Type of span to create.
  `parentSpan` - Parent span.
  `lb` - Label.
Returns:
  Created span.

#### serialize

    byte[] serialize(@NotNull
                     @NotNull Span span)

Serializes span to byte array to send context over network.

Parameters:
  `span` - Span.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022